geos::operation::overlayng::OverlayPoints Class Reference

`#include <OverlayPoints.h>`

## Public Member Functions

| OverlayPoints (int p_opCode, const Geometry *p_geom0, const Geometry *p_geom1, const PrecisionModel *p_pm)
| OverlayPoints (const OverlayPoints &)=delete
OverlayPoints & | operator= (const OverlayPoints &)=delete
std::unique_ptr< Geometry > | getResult ()

## Static Public Member Functions

static std::unique_ptr< Geometry > | overlay (int opCode, const Geometry *geom0, const Geometry *geom1, const PrecisionModel *pm)

## Detailed Description

Performs an overlay operation on inputs which are both point geometries.

Semantics are:

- Points are rounded to the precision model if provided
- Points with identical XY values are merged to a single point
- Extended ordinate values are preserved in the output, apart from merging
- An empty result is returned as `POINT EMPTY`

Author
  Martin Davis

## Constructor & Destructor Documentation

## OverlayPoints()

geos::operation::overlayng::OverlayPoints::OverlayPoints | ( | int | p_opCode,
|  | const Geometry * | p_geom0,
|  | const Geometry * | p_geom1,
|  | const PrecisionModel * | p_pm )

inline

Creates an instance of an overlay operation on inputs which are both point geometries.

## Member Function Documentation

## getResult()

std::unique_ptr< Geometry > geos::operation::overlayng::OverlayPoints::getResult | ( |  | ) |

Gets the result of the overlay.

Returns
  the overlay result

## overlay()

std::unique_ptr< Geometry > geos::operation::overlayng::OverlayPoints::overlay | ( | int | opCode,
|  | const Geometry * | geom0,
|  | const Geometry * | geom1,
|  | const PrecisionModel * | pm )

static

Performs an overlay operation on inputs which are both point geometries.

The documentation for this class was generated from the following file:

- OverlayPoints.h